/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCOPT.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCOPT.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:22   ZJRD
** 1.0c
** 
****************************************************************************/

// srcopt.h : header file
//
#ifndef _SRCOPT_H_
#define _SRCOPT_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceLoadOptionPage dialog

class CSourceLoadOptionPage : public CPropertyPage
{
// Construction
public:
	CSourceLoadOptionPage(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourceLoadOptionPage)
	enum { IDD = IDD_SRC_LOADOPTION };
	CComboBox	m_comboBank;
	CButton	m_btnSystem;
	CButton	m_btnDemand;
	BOOL	m_bCode;
	BOOL	m_bDemand;
	BOOL	m_bStatus;
	BOOL	m_bSymbol;
	BOOL	m_bWarning;
	BOOL	m_bSystem;
	int		m_nBank;
	//}}AFX_DATA


// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void OnOK();
	virtual BOOL OnSetActive();

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSourceLoadOptionPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnLoadoptionSymbol();
	afx_msg void OnLoadoptionCode();
	afx_msg void OnLoadoptionDemand();
	afx_msg void OnLoadoptionStatus();
	afx_msg void OnLoadoptionWarning();
	afx_msg void OnLoadoptionSystem();
	afx_msg void OnSelchangeComboLoadoptionBank();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
